<template>
  <div class="statistical-box">
    <div v-for="item in allList" class="all-bg">
      <div class="box">
        <div class="commom-title">{{ item.title }}</div>
        <div
          class="commom-value"
          :class="
            item.title == '延期交付' || item.title == '物料不足'
              ? 'redColor'
              : ''
          "
        >
          {{ item.value }}
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  components: {},
  props: {},
  data() {
    return {
      allList: [
        { title: "开机台数", value: 200 },
        { title: "总产量", value: 1200 },
        { title: "生产工单数", value: 200 },
        { title: "延期交付", value: 20 },
        { title: "物料不足", value: 10 },
        { title: "计划达成率", value: 2 },
      ],
    };
  },
  mounted() {},
  watch: {},
  methods: {},
};
</script>

<style scoped lang="scss">
.statistical-box {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  .all-bg {
    width: 15%;
    height: 100%;
    text-align: center;
    border: 1px solid #00ffff;
    background: linear-gradient(90deg, #09132c, #09374f);
    color: #dcb018;
    display: flex;
    align-items: center;
    justify-content: center;
    .box {
      .commom-title {
        font-size: 18px;
        font-family: "Arial Normal", "Arial";
        font-weight: 400;
      }
      .commom-value {
        font-size: 28px;
        font-family: "Arial Negreta", "Arial Normal", "Arial";
        font-weight: 700;
      }
      .redColor {
        color: #ff0000;
      }
    }
  }
}
</style>
